Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161471 - krb5 krb5_principal_compare NULL pointer crash
Summary: krb5 krb5_principal_compare NULL pointer crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,embargo=20050712,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-23 16:36 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-567
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 18:16:17 UTC


Attachments (Terms of Use)
Proposed patch for this issue (deleted)
2005-06-23 16:36 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:562 normal SHIPPED_LIVE Critical: krb5 security update 2005-07-12 04:00:00 UTC
Red Hat Product Errata RHSA-2005:567 normal SHIPPED_LIVE Important: krb5 security update 2005-07-12 04:00:00 UTC

Description Josh Bressers 2005-06-23 16:36:13 UTC
Suse reported krb5 crashes while comparing principals using
"krb5_principal_compare" because it doesn't check for NULL pointers.

Comment 1 Josh Bressers 2005-06-23 16:36:13 UTC
Created attachment 115882 [details]
Proposed patch for this issue

Comment 2 Josh Bressers 2005-06-23 16:38:18 UTC
This issue may also affect RHEL2.1 and RHEL3.

I'm not completely sure what's all affected by this, if I have time later I'll
verify it.

Comment 4 Mark J. Cox 2005-07-12 17:58:26 UTC
removing embargo

Comment 5 Red Hat Bugzilla 2005-07-12 18:16:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-567.html



Note You need to log in before you can comment on or make changes to this bug.